Cyberduck Mountain Duck CLI

#1162 closed defect (fixed)

SSH channel is closed while uploading

Reported by: luciandipeso Owned by: dkocher
Priority: normal Milestone: 2.8
Component: sftp Version: 2.8b1
Severity: normal Keywords: SFTP, upload, transfer
Cc: Architecture:
Platform:

Description (last modified by dkocher)

When trying to upload a file via SFTP by clicking on a file listed in the "Transfers" window and hitting Apple-R, I repeatedly get a

SSH channel is closed. (Closed due to user request)

If I click on the "Try Again" button, the connection appears to be made, but 0 bytes are actually transferred. If I hit Apple-R again, it will actually go through. I have not checked it on FTP.

This did not occur in versions prior to 2.8b1

Change History (5)

comment:1 Changed on Jul 14, 2007 at 11:46:31 AM by dkocher

  • Description modified (diff)
  • Milestone set to 2.8
  • Status changed from new to assigned

comment:2 Changed on Jul 16, 2007 at 11:48:19 AM by dkocher

Workaround: Use SCP for file transfers (from Preferences > SFTP).

comment:3 Changed on Jul 16, 2007 at 12:00:26 PM by dkocher

  • Summary changed from Have to repeatedly attempt to upload a file under SFTP to actually have it work to SSH channel is closed while uploading

comment:4 Changed on Jul 20, 2007 at 9:53:02 PM by simonm

I set the "Use SCP for file transfers" option but continue to experience this symptom. (Using build 3178)

comment:5 Changed on Jul 30, 2007 at 7:23:00 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r3183.

Note: See TracTickets for help on using tickets.
swiss made software